IndicatorChartsAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.IndicatorChartsAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class IndicatorChartsAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.IndicatorChartsAction

All Implemented Interfaces:
  java.io.Serializable

    public class IndicatorChartsAction

extends org.apache.struts.actions.DispatchAction
implements java.io.Serializable

Generate the metric info for the indicator charts to be displayed

See Also:
  Serialized Form

Nested Class Summary
`class` | `IndicatorChartsAction.IndicatorDisplaySummary`

Field Summary

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`IndicatorChartsAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `add(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `create(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `delete(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected org.apache.struts.action.ActionForward` | `dispatchMethod(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String name)`
`org.apache.struts.action.ActionForward` | `fresh(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `go(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `moveDown(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `moveUp(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `refresh(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `remove(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `update(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, execute, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndicatorChartsAction

    public IndicatorChartsAction()

Method Detail

### dispatchMethod

    protected org.apache.struts.action.ActionForward dispatchMethod(org.apache.struts.action.ActionMapping mapping,
                                                                    org.apache.struts.action.ActionForm form,
                                                                    javax.servlet.http.HttpServletRequest request,
                                                                    javax.servlet.http.HttpServletResponse response,
                                                                    java.lang.String name)
                                                             throws java.lang.Exception

  Overrides:
    `dispatchMethod` in class `org.apache.struts.actions.DispatchAction`
  Throws:
    `java.lang.Exception`

### fresh

    public org.apache.struts.action.ActionForward fresh(org.apache.struts.action.ActionMapping mapping,
                                                        org.apache.struts.action.ActionForm form,
                                                        javax.servlet.http.HttpServletRequest request,
                                                        javax.servlet.http.HttpServletResponse response)
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### refresh

    public org.apache.struts.action.ActionForward refresh(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### add

    public org.apache.struts.action.ActionForward add(org.apache.struts.action.ActionMapping mapping,
                                                      org.apache.struts.action.ActionForm form,
                                                      javax.servlet.http.HttpServletRequest request,
                                                      javax.servlet.http.HttpServletResponse response)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### remove

    public org.apache.struts.action.ActionForward remove(org.apache.struts.action.ActionMapping mapping,
                                                         org.apache.struts.action.ActionForm form,
                                                         javax.servlet.http.HttpServletRequest request,
                                                         javax.servlet.http.HttpServletResponse response)
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### moveUp

    public org.apache.struts.action.ActionForward moveUp(org.apache.struts.action.ActionMapping mapping,
                                                         org.apache.struts.action.ActionForm form,
                                                         javax.servlet.http.HttpServletRequest request,
                                                         javax.servlet.http.HttpServletResponse response)
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### moveDown

    public org.apache.struts.action.ActionForward moveDown(org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)
                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### go

    public org.apache.struts.action.ActionForward go(org.apache.struts.action.ActionMapping mapping,
                                                     org.apache.struts.action.ActionForm form,
                                                     javax.servlet.http.HttpServletRequest request,
                                                     javax.servlet.http.HttpServletResponse response)
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### create

    public org.apache.struts.action.ActionForward create(org.apache.struts.action.ActionMapping mapping,
                                                         org.apache.struts.action.ActionForm form,
                                                         javax.servlet.http.HttpServletRequest request,
                                                         javax.servlet.http.HttpServletResponse response)
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### update

    public org.apache.struts.action.ActionForward update(org.apache.struts.action.ActionMapping mapping,
                                                         org.apache.struts.action.ActionForm form,
                                                         javax.servlet.http.HttpServletRequest request,
                                                         javax.servlet.http.HttpServletResponse response)
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### delete

    public org.apache.struts.action.ActionForward delete(org.apache.struts.action.ActionMapping mapping,
                                                         org.apache.struts.action.ActionForm form,
                                                         javax.servlet.http.HttpServletRequest request,
                                                         javax.servlet.http.HttpServletResponse response)
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.